#pragma once
#ifndef EAUSER_H
#define EAYSER_H

constexpr size_t PRODMAXLENGTH = 255;

#pragma pack(1)
typedef struct EA_USER {
	EA_USER();
	EA_USER(std::string name);
	EA_USER(EA_USER& eauser);
	std::time_t  expired;
	long   namelength;
	char eaname[PRODMAXLENGTH];
	std::string GetName();
	void SetName(std::string newName);
	std::string GetTimeExpired();
	std::string ToString();
	size_t ToArray(byte* pbyte);
	constexpr size_t GetSize() noexcept;
	friend std::ostream& operator<< (std::ostream& out, EA_USER& eauser);
	friend std::istream& operator>> (std::istream& in, EA_USER& eauser);
}EAUSER, *PEAUSER;
#pragma pack()

#endif
